2018-10-20 15:37 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005321Talerexchangepublic2018-08-18 13:35
ReporterFlorian Dold 
Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005321: investigate database problems in wirewatch
DescriptionRight now wirewatch logs some scary warning about failed transactions. Either we don't treat this soft error properly as a soft error, or we do treat is as a soft error and retry, but then we probably shouldn't log a "scary" message with PGRES_FATAL_ERROR.

We should also try to figure out why this conflict happened, and if we can do anything to reduce the chance of it happening (i.e. use some index instead of linear scan etc.)
Additional InformationApr 03 20:06:06-888222 pq-13913 INFO Query `reserve_create' failed with
result: could not serialize access due to read/write dependencies among
transactions/Reason code: Canceled on identification as a pivot, during
write./ERROR: could not serialize access due to read/write dependencies
among transactions
DETAIL: Reason code: Canceled on identification as a pivot, during write.
HINT: The transaction might succeed if retried.
/PGRES_FATAL_ERROR/ERROR: could not serialize access due to read/write
dependencies among transactions
DETAIL: Reason code: Canceled on identification as a pivot, during write.
HINT: The transaction might succeed if retried.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013221

Christian Grothoff (manager)

Went manually over exchange (all tools) and merchant backend fixing all cases where rollback was missing. Merchant: c993c0d..04692ee, exchange: 14908b78155aade720a58c15be502bb317cea540 (harmless).
+Notes

-Issue History
Date Modified Username Field Change
2018-04-10 21:35 Florian Dold New Issue
2018-04-10 21:35 Florian Dold Status new => assigned
2018-04-10 21:35 Florian Dold Assigned To => Christian Grothoff
2018-08-18 13:35 Christian Grothoff Status assigned => resolved
2018-08-18 13:35 Christian Grothoff Resolution open => fixed
2018-08-18 13:35 Christian Grothoff Fixed in Version => 0.6
2018-08-18 13:35 Christian Grothoff Note Added: 0013221
2018-08-18 13:35 Christian Grothoff Product Version => SVN HEAD
2018-08-18 13:35 Christian Grothoff Target Version => 0.6
2018-08-18 13:35 Christian Grothoff Additional Information Updated View Revisions
+Issue History